Create a soft FK edge
curl --request POST \
--url https://api.example.com/utils/context-packs/{name}/soft-fk-edges \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"from_table": "<string>",
"from_column": "<string>",
"to_table": "<string>",
"to_column": "<string>",
"description": "<string>",
"confidence": 1
}
'import requests
url = "https://api.example.com/utils/context-packs/{name}/soft-fk-edges"
payload = {
"from_table": "<string>",
"from_column": "<string>",
"to_table": "<string>",
"to_column": "<string>",
"description": "<string>",
"confidence": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
from_table: '<string>',
from_column: '<string>',
to_table: '<string>',
to_column: '<string>',
description: '<string>',
confidence: 1
})
};
fetch('https://api.example.com/utils/context-packs/{name}/soft-fk-edges', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"organization_id": "<string>",
"project_id": "<string>",
"context_pack_id": "<string>",
"from_table": "<string>",
"from_column": "<string>",
"to_table": "<string>",
"to_column": "<string>",
"description": "<string>",
"confidence": 123,
"deprecated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}soft-fk-edges
Create a soft FK edge
Create a new Soft FK edge within a context pack.
POST
/
utils
/
context-packs
/
{name}
/
soft-fk-edges
Create a soft FK edge
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Path Parameters
Context pack name
Body
application/json
Response
Successful Response
Origin of a soft FK edge.
Available options:
manual, ingestion, inferred Lifecycle status of a soft FK edge.
Available options:
active, deprecated, deleted Was this page helpful?
⌘I

